/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/01/2016

This program lets the buzzer generate a siren 
that alternates between a tone of 500Hz and a tone of 1KHz 
Be aware that the 1KHz loop is looped 500 times and that the 500Hz loop is looped 250 times
to generate 500msec of the high tone and 500msec for the low tone

The buzzer is connected at IDE pin D7
A square wave that is high for 1msec and low for 1msec replicates a frequency of 500Hz.


*/

// these lines make it possible to use pin names in stead of pin numbers
// Constants do not change during the program
const int Buzzer =  7; 


// this setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin Buzzer as output
  pinMode(Buzzer, OUTPUT);

}

// this loop function runs over and over again forever
void loop() 
{
  for( int x = 250; x>0 ; x = x-1) //repeat this loop 250 times
    {
    digitalWrite(Buzzer, HIGH); // make signal High
    delayMicroseconds(1000);    // wait for 1 msec
    digitalWrite(Buzzer, LOW);  // make signal Low 
    delayMicroseconds(1000);   // wait for 1 msec
    }
    
  for( int x = 500; x>0 ; x = x-1) //repeat this loop 500 times
    {
    digitalWrite(Buzzer, HIGH); // make signal High
    delayMicroseconds(500);     // wait for 500usec
    digitalWrite(Buzzer, LOW);  // make signal Low
    delayMicroseconds(500);    // wait for 500usec
    }
}
